dbXML API

## com.dbxml.db.common.btree
Class Paged.Page

    java.lang.Object
      com.dbxml.db.common.btree.Paged.Page

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  Paged

public final class Paged.Page
extends java.lang.Object
implements java.lang.Comparable

Page

Constructor Summary
`Paged.Page()`
`Paged.Page(long pageNum)`

Method Summary
`int` `compareTo(java.lang.Object o)`
`Paged.PageHeader` `getPageHeader()`
`long` `getPageNum()`
`void` `read(Transaction tx)`
`void` `setPageNum(long pageNum)`
`void` `streamFrom(java.io.InputStream is)`
`void` `streamTo(java.io.OutputStream os)`
`void` `write(Transaction tx)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Paged.Page

    public Paged.Page()

### Paged.Page

    public Paged.Page(long pageNum)
               throws java.io.IOException

Method Detail

### read

    public final void read(Transaction tx)
                    throws DBException,
                           java.io.IOException

  Throws:
    `DBException`
    `java.io.IOException`

### write

    public final void write(Transaction tx)
                     throws DBException,
                            java.io.IOException

  Throws:
    `DBException`
    `java.io.IOException`

### setPageNum

    public void setPageNum(long pageNum)

### getPageNum

    public long getPageNum()

### getPageHeader

    public Paged.PageHeader getPageHeader()

### streamTo

    public void streamTo(java.io.OutputStream os)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### streamFrom

    public void streamFrom(java.io.InputStream is)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

dbXML API

Copyright (c) 2004 The dbXML Group